PlayIt VoiceTrack

User guide
Version 1.06
https://www.playitsoftware.com/Support
PlayIt VoiceTrack is an audio mixing software application designed to simplify the process of creating a pre-recorded radio show.
It is also used to remotely voice track to PlayIt Live and PlayIt Manager.
The document will guide you through the process of using the software.


Installation

To install PlayIt VoiceTrack, download the latest version from http://www.playitsoftware.com/Products/VoiceTrack.
Once the download is complete, run the downloaded .exe file.
You will first be presented with the software licence agreement. Once you have read and agree to these terms, click I Agree.
Choose the components to install. Here you can select whether to install Start Menu shortcuts. No shortcuts will be created on the desktop. Click Next to continue.
Next, choose the location to install the software. By default, this is in Program Files, but can be changed to your preference. Click Install to begin the installation.
Tick Start PlayIt VoiceTrack to launch PlayIt VoiceTrack when you click Finish. If PlayIt VoiceTrack does not start, click Start and type PlayIt VoiceTrack.

The contents of Installation

Upgrading versions
Uninstallation


Upgrading versions

New versions of PlayIt VoiceTrack are regularly available from http://www.playitsoftware.com . It is important to back up your data before you install any new versions. Data and logs for PlayIt VoiceTrack are stored in the Windows 'ProgramData' folder.
By default, on Windows 7, 8.1 and 10 this is located at:
C:\ProgramData\PlayIt VoiceTrack
To back up your data, simply copy this folder to an alternative location, such as an external hard drive.
When a new version is installed, or an old version is uninstalled, the data in the location above will not be removed.


Uninstallation

When installed, PlayIt VoiceTrack will include an Uninstall shortcut in the Start Menu.
If you chose not to add Start Menu shortcuts the Uninstaller can be found at (by default):
C:\Program Files (x86)\PlayIt VoiceTrack\uninstall.exe or
C:\Program Files\PlayIt VoiceTrack\uninstall.exe
Double-click the icon to start the uninstall process. Click Uninstall to remove PlayIt VoiceTrack.
Note that you can choose whether PlayIt VoiceTrack data is removed when you uninstall.


Getting Started

In order to begin using PlayIt VoiceTrack, you need to log into your PlayIt Software account. Click the Log In button to begin logging in. If you do not have an account, one can be created by clicking Register or visiting https://www.playitsoftware.com/Account/Register .
If the computer you are using is not connected to the internet, you can activate offline.

The contents of Getting Started

Logging In
Activating Offline


Logging In

To begin using PlayIt VoiceTrack, enter your PlayIt Software account email address and password, or you can log in using your Facebook account.
Once you are logged in, the main window will be shown.

The contents of Logging In

Enter registration details
Verify email address


Enter registration details

If you do not already have a PlayIt Software account you can register your details here. Enter the required details and click Register.


Verify email address

Once you have registered you will need to check your registered email account and follow the link in an email with the subject "PlayIt Software: Please verify your email address...". To ensure you receive this email, please add noreply@playitsoftware.com to your address book. Once you have followed the link you will be logged in and the main window will be shown.


Activating Offline

If the computer on which you have installed PlayIt VoiceTrack is not connected to the internet is it possible to activate offline.
From the Activation window, click Activate Offline...
From the Activate Offline window, you can enter your Licence Key. This is generated from the Licences page in the My Account area of the PlayIt Software website. A licence can be generated by visiting: https://www.playitsoftware.com/Account/Licences/Generate. You may be prompted to log in or create an account. If you have not purchased a licence a demo licence will be generated to allow you to evaluate the software.
From the Generate New Licence section, select PlayIt VoiceTrack and ensure that v1.05+ is selected as the version, enter the Computer Name and Machine Code you see on PlayIt VoiceTrack and click Generate Licence Key.
Once generated you will be presented with a licence. Make a note of the Licence Key and copy this to the PlayIt VoiceTrack window. Alternatively, download the licence file and select the file within PlayIt VoiceTrack. Note that licence keys start with the text 3*.


Your First Voice Tracked Show

When you first start PlayIt VoiceTrack you will be presented with this screen.
Note that PlayIt VoiceTrack requires the Voice Tracking module from PlayIt Software. If you have not purchased the module the software will be in demo mode, which means that any audio output or mixdowns will be overlaid with an audio notice. A banner is shown at the top of the main window to indicate this. Click the link to purchase a licence for the module and remove the notice.
Adding music
To get started with your first show, you will need to add some music to play on your show. You can do this by dragging and dropping files from your computer, for example, your Music folder:
You can manage all your music tracks from within PlayIt VoiceTrack by going to Manage Tracks. If you have already added tracks to PlayIt Live, you can select PlayIt Live as the data source to use its tracks.
Drop the files or tracks into the Playlist area:
Continue to add tracks until you have all the music you need.
As you will see, the Multi Track View at the top is populated with a waveform representation of each track. The start and end of each track is analysed for silence in order to provide a default segue for each track. You can zoom into the view using the mouse wheel or the zoom buttons. You can drag the orange bar to pan through the tracks:
Adding voice tracks
Now you have added songs, it is time to record some voiceover links between the songs. Drag and drop a voice track by clicking and holding the Add Voice Track button and dragging it between the tracks you want to talk between:
Continue to add voice tracks between the songs you wish to talk between. By default, voice tracks add a placeholder of 1 minute to give an estimated time for the voice link. To change the placeholder time, click the [01:00] time and enter a new time amount. After you have added voice tracks your playlist should look something like this:
To set up recording your voice track, click the red record button on the track in the playlist:
This will open the segue editor window. This is a reduced version of the multi track view from the main window displaying only the selected track and the preceding and succeeding tracks.
Selecting microphone device
The first time you use the segue editor for recording, you should select the audio device that represents your microphone. You can do this by clicking the Settings button and reviewing the audio device selections.
The selected microphone device should be one that records just the microphone and does not record any music playback. Click OK to confirm any changes.
Recording voice track
Click the record button to start the recording of your voice track:
Your voice track will begin recording and the audio from the end of the preceding track will begin playing. Speak into your microphone to record the audio for your voice track. The icon on the button will change to:
Click the button again to play the next track. Click the button a final time to finish the recording and stop playback.
Alternatively you can use the 'R' key to cycle through Record > Play Next > Stop actions for fast operation.
Trimming tracks
As the voice track is recorded you will see the waveform being produced. Once stopped, you can trim the start and end of the recording by dragging the start and end of the waveform container.
Adjusting voice track volume
If the volume of the track you have recorded is too quiet you can adjust the volume up by clicking on the orange volume envelope line and dragging up. The waveform will change to show that the volume is increasing.
Changing track segue
You can move any track by dragging the top bar of the waveform container. If you move the waveform from the start (i.e. left end) it will be moved in relation to the previous track. If you move the waveform from the end (i.e. right end) it will be moved in relation to the next track. This ensures that track segues remain anchored to their respective tracks unless you explicitly want to change the segue.
Fade tracks and changing volume
Once the recording has been completed, you will need to modify the volume of the tracks if you are talking over them. You can do this by clicking on the orange line which represents the volume envelope. This will create an envelope point which you can move to a specific volume at a specific time. Create multiple points to reduce the volume and fade the volume:
1. Select the first point
2. Click the line before the point and drag the volume down
This will update the waveform so you can visually see the volume is lower before the fade up after the vocal has finished.
Listening again
Use the playback controls to listen to the output:
Recording a bed (background music) with your voice track recording
When recording a voice track, you will see a Carts section on the right hand side. This can be loaded with an audio file, such as a bed for playing under your voice. You can load the audio file by dragging and dropping it from the file system, or you can use the [image] icon to load a track from the database. Click the Play button to start playing the cart while recording your voice track. The cart audio will be mixed in with your voice recording. Please ensure you have loaded the cart before starting the voice track recording.
Recording next voice track
To record the next voice link, click the Next Voice button:
Repeat the process to record all the voice links.
Click the Save button to save changes and exit the segue editor.
Reviewing
The Multi Track View at the top will show all the tracks and voice tracks in the project.
You can double click on any track in the playlist or multi track view to edit the segue or re-record a voice track.
Saving
You should save your project regularly by clicking the Save Project... button or pressing CTRL+S.
Project information
The bar at the top displays the information about the project. You can edit the project name and also change the target duration if you need to record to a specific time. The red text shows the under/over time of the target duration.
Mixing down to file
Once you are happy with the sound of your show, you can Mixdown the audio to a single audio file. Click the Mixdown Audio button.
Choose a file to mix the project down to. Check the Open file after mixdown checkbox to open the audio file in your default audio player. Click the OK to begin mixing down the audio.
Once the mixdown process has finished you will have completed your first voice-tracked show.
Remember: If you have not purchased the PlayIt Software Voice Tracking module required for PlayIt VoiceTrack, the mixed down audio will be periodically overlaid with an audio notice. To remove the notice, please purchase via https://www.playitsoftware.com/Products/VoiceTrack


Remote Voice Tracking

As a remote voice tracker you can record voice tracks on a remote computer and send them to PlayIt Live or PlayIt Manager. You also edit segues and add additional tracks to the playout log if you wish.
Firstly, to start a remote voice tracking session you will require a Server URL, Username and Password. If you do not have these please request them from your radio station administrator.
To get started, click the Start Remote Session... button.
Enter the Server, Username and Password and click Connect.
You will be prompted to select a slot you are allowed to voice track into. Select and slot and click Select.
PlayIt VoiceTrack will download the voice tracking details including the start and end of the audio track files. The start of the track will be up until 10 seconds + Audition Time after the intro point of the track and the end of the track will be from the last 10 seconds + Audition Time before the cue out point of the track.
An additional panel will be added to PlayIt VoiceTrack when in a remote session:
This section shows you the queue of commands that are sent back to the server when making changes. You can also log out by clicking the End Remote Session button. It is important to end session when you have finished to allow other users to connect if necessary.
PlayIt Live will show the start and end of the tracks with a gap for the voice track placeholder:
Double click on the voice track placeholder waveform box to launch the segue editor. You can also click the Record button on the playlist:
The segue editor works exactly the same as if you were recording a local voice tracked show. You can refer to the Your First Voice Tracked Show section for more detail.
Once you have recorded your voice track, click the Save button to close the window, or click Next Voice to move to the next voice track to record the next one.
When you record the voice track, the voice track is updated in the list and uploaded to the server.
Your segue changes are also applied. These changes are shown in the Update queue section:
Your changes are immediately applied to PlayIt Live or PlayIt Manager. There is nothing left to do except to record the rest of your voice tracks. Remember to End Remote Session when you have finished.
Editing the playlist or add other tracks
You can also drag tracks up and down the playlist to reorder, or you can drag tracks from the track list into the playlist. The track list show is the track list that exists on the server. When you add a track from the track list, the start and end audio is downloaded from the server.
Note, it is not possible to drop tracks that are on your own computer. You will need to add your own tracks to the server first.
A note on licensing
Remote voice trackers do not require a Voice Tracking module licence in order to voice track remotely. This is required on PlayIt Live in order to broadcast voice tracks
Demonstration video
Please refer to this video for a demonstration of remote voice tracking: https://youtu.be/kIyp9CivSAQ?t=4m14s


The Main Window

The Main Window
The main window is shown when PlayIt VoiceTrack starts.

Menu

The menu is used to perform common actions for PlayIt VoiceTrack.
File:
New Project...: Start a new project from scratch.
Open Project...: Open an existing project. PlayIt VoiceTrack projects have the extension *.pivt.
Start Remote Session...: Start a remote voice tracking session. See Remote Voice Tracking.
Save Project: Save the current project for opening later.
Save Project As...: Save the current project under a different file.
Edit Project...: Edit information about the current project.
Generate Playlist...: Generate a playlist so you don't have to create one manually
Mixdown Audio...: Mixdown your project to an audio file.
Settings...: Change the settings associated with PlayIt VoiceTrack.
Exit: Close PlayIt VoiceTrack.
Top

Project options

2. Project options
These are always shown so you can quickly access these options.
New Project...: Start a new project from scratch
Open Project...: Open an existing project. PlayIt VoiceTrack projects have the extension *.pivt.
Save Project: Save the current project for opening later.
Start Remote Session...: Start a remote voice tracking session. See Remote Voice Tracking.
Top

Project information

3. Project information
This section shows information about your project. Here you can see the name of your project and the target duration. The actual duration of the tracks in the project is also calculated, along with how over or under the actual duration is compared to the target duration. Click the Edit Project... button to edit this information.
Top

Demo notice

4. Demo notice
If you have not purchased the PlayIt Software Voice Tracking module required for PlayIt VoiceTrack, this notice will be shown. To purchase the module, click the link. If you have purchased the module and this notice is still shown, click View Licence Information to update or refresh your licence.
Top

Multi Track View

5. Multi Track View
The multi track view shows waveforms of the tracks and how they are layered in your project. To edit the segue or transition between the tracks, double click on the track you wish to modify. Use the mouse wheel to zoom in and out of the view. When zoomed in, you can use the mouse to drag the zoom bar to pan through the time in the project.
The gray line indicates the current position marker in the project.
Top

Playback controls

6. Playback controls
Play button: start playback from the current playback position
Pause button: pause playback at the current playback position
Stop button: stop playback and reset to the previously selected position marker
Jump to start: move the position marker to the start of the project
Move to previous track: move the position marker to the previous track from the current position
Move to next track: move the position marker to the next track from the current position
Jump to end: move the position marker to the end of the project
Current playback position: indicates how long has elapsed in the project
Top

Zoom controls

7. Zoom controls
As an alternative to using the mouse wheel to zoom the multi track view, you can use the zoom buttons to zoom in and out.
Top

Playlist

The playlist shows all the tracks that have been added to the project. From left to right, the columns are:
Marker colour: A colour indication for the track. By default, tracks are shown in green, and voice tracks in black. This colour can be customised by adding tracks to a track group and configuring the track group with a colour.
Play time: The time into the project when the track will start.
Icon: Indicates whether the track is music or a voice track. This icon can be customised by adding tracks to a track group and configuring the track group with an icon.
Track title: The name of the track
Track duration: The length of the track in minutes:seconds.
[Record button]: This button is shown only for voice tracks. Click this button to launch the segue editor to get ready for recording.
Play button: This button is used to play the track. The current progress is shown in a highlighting circle around the play button.
Edit button: Click this button to launch the segue editor to edit to segue between the previous and next track.
Remove button: Click this button to remove the track from the playlist
Drag and drop tracks from the file system, track list, or a voice track to insert them into the playlist.
Hovering over the left margin will reveal a handle to allow you to reorder the playlist.
Alternatively just drag anywhere on the track in the playlist to order the playlist
Moving the mouse between tracks in the playlist will allow you to insert a voice track
On voice tracks that have yet to be recorded, you can set a placeholder duration by clicking the duration in [square brackets].
Top

Mixdown Audio button

9. Mixdown Audio button
When you have creating your show project mix it down to an audio file
Top

Generate Playlist

10. Generate Playlist
Instead of manually dragging and dropping tracks onto the playlist you can use the Generate Playlist feature to create a playlist for you from a template.
Top

Voice Track button

11. Voice Track button
Use this button to insert a voice track at the end of the playlist. You can also drag and drop the button onto the playlist to insert a voice track anywhere in the playlist.
Top

Track Group selector

12. Track Group selector
Select a track group from the list to filter the track list to tracks in the track group.
Top

Track search

13. Track search
Use the search box to filter the track list by artist and title.
Top

Track list

14. Track list
The track list shows the tracks that have been added to PlayIt VoiceTrack. You can manage the tracks from the Manage Tracks window. You can also select the data source to allow you to use the tracks also added to PlayIt Live. You can drag tracks from the track list to the playlist to insert them into the project.
Top


Segue Editor Window

Segue Editor Window
The segue editor is used to change how tracks are positioned in the project. The segue editor only allows editing of positions of three tracks at a time. Other tracks in the project will not be affected by changes made relative to these tracks. It is possible to move tracks, trim the start and end, and fade tracks in and out or adjust the volume.

Waveform

The waveform represents the audio signal. It shows the changes in amplitude over the duration of the track. A thick vertical line shown on the track represents a cue point marker. The Cue In point is shown in green, the Cue Out point is shown in pink and the Intro point is shown in cyan. Cue Points can be changed via Manage > Tracks and editing a track.
Top

Waveform top bar

2. Waveform top bar
Drag and drop the top bar of the track to align it with the previous or next track.
Top

Fade envelope

3. Fade envelope
Click the orange line on the waveform to edit the fade envelope. Clicking on the line will create an envelope point. Adding multiple envelope points will allow you to create a shape to adjust the fade volume. To remove a point drag the point outside the waveform box. The gray line shows the envelope that has been automatically applied because the Duck other tracks option has been checked on another parallel track. The appearance of the waveform changes to show the effective volume with the envelope applied.
Top

Recording and playback controls

4. Recording and playback controls
Record button: start recording from your microphone. The microphone device can be set up from the Settings window. The previous track will begin playing from the end of the track. The amount of audio that you here at the end of the track is determined from the Audition Time setting. This button is disabled if you are not editing the segue for a voice track.
When recording a voice track the record button will change to the play next button. When this button is clicked the next track will begin playing.
When the next track is playing the button will change to a stop button. When the stop button is pressed the recording and playback will stop.
Tip: You can use the R keyboard key to begin recording, play next and stop.
Delete recording button: deletes the recording so it can be discarded. This button is disabled if you are not editing the segue for a voice track.
Play button: start playback from the current playback position
Pause button: pause playback at the current playback position
Stop button: stop playback and reset to the previously selected position marker
Jump to start: move the position marker to the start of the view
Move to previous track: move the position marker to the previous track from the current position
Move to next track: move the position marker to the next track from the current position
Jump to end: move the position marker to the end of the view
Current playback position: indicates how long has elapsed in the project
Top

Zoom controls

5. Zoom controls
As an alternative to using the mouse wheel to zoom the multi track view, you can use the zoom buttons to zoom in and out.
Top

Previous/Next Segue buttons

6. Previous/Next Segue buttons
Quickly move to the previous or next tracks in the project. These can be used to iterate through each of the tracks in the project efficiently.
Top

Previous/Next Voice buttons

7. Previous/Next Voice buttons
As above, but you will advance to only voice track segues. These can be used to iterate through each voice track and quickly record voice tracks.
Top

Segue Information

8. Segue Information
The segue information shows how the selected track will sequence from the previous track into the next track. To see the segue information for the track simply click on the waveform.
The segue style defines specific ways that the track will sequence:
By default, the segue style is Cue Out/In, this means the cue in of the track will line up with the cue out of the previous track.
For Sweep Start, the sweeping track will start at the same time as the next track, provided it is short enough to play before the intro point of the next track. If the sweeping track is longer than the intro of the next track, the sweeping track will start before the next track and play up to the end of the intro.
For Sweep Intro, the sweeping track will finishing playing immediately before the end of the intro point of the next track.
For Custom, you can manually set up how the tracks sequence with each other.
When you move a track by dragging the waveform the segue style will automatically change to Custom.
Note that Sweep Start and Sweep Intro require Intro points to be set on tracks, otherwise Cue Out/In will be used.
The Duck other tracks checkbox can be used to reduce the volume of the previous and next track when this track is played. You can configure the ducking (volume and speed) via the Settings button. When ducking is active you can see the effective track envelope changing to show the volume change.
Top

Audio Settings

9. Audio Settings
If the audio is too quiet, apply gain to increase the volume. This is particularly useful if your microphone recording is very quiet. You can set the default Gain for voice tracks in Settings.
Top

Carts (Voice track only)

10. Carts (Voice track only)
Carts can be used to record other audio into your voice track, for example a bed (background music) or a station ident. You can drag and drop audio from the file system into a cart, or use the [image] icon to load a track from the database. Click the Play button to play the audio while recording your voice track. Use the volume slider to adjust the volume of the audio if you want to talk over it. Please ensure that you have loaded the cart before recording the voice track.
Top

Settings button

11. Settings button
The settings button allows quick access to PlayIt VoiceTrack settings from the segue editor. Here you can edit the audition time or the audio devices for playback or recording.
Top

Save button

12. Save button
Save your segue changes and close the segue editor window.
Top

Cancel button

13. Cancel button
Discard your segue changes and close the segue editor window.


Edit Project Window

Edit Project Window

Project Name

1. Project Name
The name of the project for your own reference.
Top

Recording Duration

2. Recording Duration
The target duration of your full project recording. This is typically the length of the final broadcast show.
Top

OK button

3. OK button
Save your changes and close the Edit Project window.
Top

Cancel button

4. Cancel button
Discard your changes and close the Edit Project window.


Generate Playlist Window

Generate Playlist Window
The Generate Playlist feature allows you to automatically build a playlist based on a template and apply this to your project. This means you do not need to manually select tracks for your show project. To generate a playlist you will need to populate the database with tracks via Manage > Tracks.

Template

This is the template used to generate your playlist. Click the Edit link to edit the selected template or the Delete link to delete it. Click Create New Template to create a blank template.
Clicking the Edit or Create links will open the Playlist Template Builder.
On first run, an example template is provided as a starting point.
Top

Generation Rules

2. Generation Rules
A simple rule is provided to ensure that the same artist is not played to close to another song by the same artist. A 'song' is a track with a Type field of 'Song'.
Top

Generate Button

3. Generate Button
Click the Generate button to generate a playlist from the selected template. A progress bar will be shown while the generation takes place.
Top

Generated Items

4. Generated Items
After the generation has finished, this list will be populated with the generated items.
Top

Use Playlist Button

5. Use Playlist Button
If you are happy with the generated items, click the Use Playlist button. If your project already has items, you will be prompted to replace the existing items, or add the generated items to the end.
Top

Close Button

6. Close Button
Close the window without adding any items.
Top

The contents of Generate Playlist Window

Playlist Template Builder


Playlist Template Builder

Playlist Template Builder
As the name suggests, the Playlist Template Builder is used to build playlist templates. A template is comprised of multiple sections in order. A section can either be a static set of items, or a set of items that fills for a period of time. A section that fills will try its best to fit the items to the time specified. For each item, PlayIt VoiceTrack will select a track that corresponds to the type of the item. It can select a track by track type (e.g. Song), a track group (as defined in Manage > Track Groups), or a specific track (as defined in Manage > Tracks). You can also select Voice Track and specify a time to insert a voice track placeholder for later recording.

Template Name

1. Template Name
The name of the template, as displayed in the Template dropdown in the Generate Playlist Window.
Top

Template Section

2. Template Section
A template section specifies a list of items to generate. Click the [image] icon to edit the section. Here you can change the name of the section, or turn it into a 'Fill' section. If enabled, the items in the section will be repeated until the specified duration is filled. PlayIt VoiceTrack will try its best to fit the section to the selected duration.
Top

Template Item

3. Template Item
An item in the section of the template. Possible types of item are:
Track Group: Select a track group as defined in Manage > Track Groups. PlayIt VoiceTrack will select a track from that track group and will ensure that all tracks in that track group are selected before ever selecting that track again.
Track Type: Select a track type as defined on the track Type field.
Track: Select a specific track as defined in Manage > Tracks.
Voice Track: Select a voice track with a specified duration. PlayIt VoiceTrack will generate a voice track placeholder for later recording.
Click [image] to clone the selected item.
Click [image] to move the selected item up.
Click [image] to move the selected item down.
Click [image] to delete the selected item.
Top

Add Item Button

4. Add Item Button
Add another item to the end of the section.
Top

Add Section Button

5. Add Section Button
Add another section to the end of the template.
Top

Save

Save the template.
Top

Cancel

Discard any changes to the template.


Mixdown Audio Window

Mixdown Audio Window
To play your project in another audio player you need to mixdown the audio to an audio file.

File

Enter the file name and folder where you wish to mixdown the audio. Use the Browse... button to select a file on the file system.
Top

Format options

2. Format options
Select the format of the audio mixdown. Choose from MP3 or WAV format. For MP3 you can choose the bit rate and mono/stereo option. Lower bit rates take up less disk space but have a lower audio quality.
Top

Extend/Trim or fade

3. Extend/Trim or fade or
Tick this box if you want the mixdown file to match the target duration. If your project is short it will be extended to the target duration with silence. If it is too long it will be shortened and faded at the end to the time specified.
Top

Dynamic range compression settings

4. Dynamic range compression settings
Dynamic range compression, or simply compression, can be applied to the mixdown. This is a process that will attempt to even out the overall volume level of the output by increasing the volume level of the quieter parts of the output and decreasing the volume level of louder parts. There are various presets available that can be used to affect the audio or you can choose custom to enter your own values.
Top

Open file after mixdown

5. Open file after mixdown
Once the mixdown process has finished the audio file will open in your default audio player.
Top

OK button

6. OK button
Start the mixdown process. Progress will be shown.
Top

Cancel button

7. Cancel button
Close the mixdown window.


Settings Window

Main Playback device

1. Main Playback device
The playback audio device used when playing audio from the main window.
Top

Segue Editor Playback device

2. Segue Editor Playback device
The playback audio device when playing audio from the segue editor window.
Top

Microphone Recording device

3. Microphone Recording device
The recording device used when recording a voice track from the segue editor window. The device chosen here should not record audio that is played back to avoid music existing in the voice track recording.
Top

Audition Time

4. Audition Time
When you start recording, this is the number of seconds from the end of the previous track you will hear.
Top

Recordings Folder

5. Recordings Folder
The location where the voice track recordings are stored on disk.
Top

Recordings Format

6. Recordings Format
The audio format of voice track recordings. High bit rates are of high quality but take up more space on disk.
Top

Default Gain

7. Default Gain
When a voice track is recorded use this volume gain by default. This can be used if your microphone level is consistently too quiet without gain.
Top

OK button

8. OK button
Save the settings and close the settings window.
Top

Cancel button

9. Cancel button
Discard the changes and close the settings window.
Top

The contents of Settings Window

Segue Settings
Audio Analysis Settings
Web Links Settings


Segue Settings

Default sweeper segue style

1. Default sweeper segue style
The sweeper segue style to use by default when a sweeper is added to the playlist.
Top

Sweeper volume ducking

2. Sweeper volume ducking
When a sweeper is added to the playlist, you can automatically reduce (duck) the volume of other tracks playing at the same time. You can manually choose to duck the volume of other tracks via the segue editor.
Top

Voice track volume ducking

3. Voice track volume ducking
When a voice track is added to the playlist, you can automatically reduce (duck) the volume of other tracks playing at the same time. You can manually choose to duck the volume of other tracks via the segue editor.


Audio Analysis Settings

Audio Analysis Settings

Track Silence Analysis

1. Track Silence Analysis
When a track is added to PlayIt VoiceTrack it will be analysed for cue in and out points. Use these points to set an appropriate level of silence which will help segues work more accurately.
Top

Voice Track Silence Analysis

2. Voice Track Silence Analysis
When a voice track is recorded the volume of the voice track is analysed for cue in and out points. Use these points to set an appropriate level of silence which will help ducking and segues work more accurately.


Web Links Settings

Web Links Settings
Web Links can be used to quickly search the web for an artist or track by right-clicking a track on the main interface or in the segue editor.

Web Links list

1. Web Links list
The list of web links:
Display Text: The text displayed on the right-click context menu, e.g. Wikipedia: {artist} would display Wikipedia: ABBA.
URL: The URL (web address) that is visited in the browser.
Placeholders for {artist}, {title} and {album} can be used.
Order: This can be changed using the Up/Down buttons.
Top

Actions

Click Add to add a new web link
Click Edit to edit the selected web link.
Click the reorder Up and Down buttons to move the selected web link.
Click the Reset to defaults button to clear all existing web links and start again with the details.
Top
Examples:
Display Text | URL | Comments
Wikipedia: {artist} | https://www.duckduckgo.com/?q=\{artist} band site:wikipedia.org | Uses DuckDuckGo to find first result matching the search. The backslash \ denotes this.
Wikipedia: {artist} - {title} | https://www.duckduckgo.com/?q=\{artist} - {title} song site:wikipedia.org | Uses DuckDuckGo to find first result matching the search. The backslash \ denotes this.
Google: {artist} - {title} | https://www.google.com/search?q={artist} - {title} |
Wikipedia: {artist} | https://en.wikipedia.org/w/index.php?search={artist} | Directly search Wikipedia
Wikipedia: {artist} - {title} | https://en.wikipedia.org/w/index.php?search={artist} - {title} | Directly search Wikipedia
All Music: {artist} | https://www.allmusic.com/search/all/{artist} |
Discogs: {artist} | https://www.discogs.com/search/?q={artist}&btn=&type=artist |
Discogs: {artist} - {title} | https://www.discogs.com/search/?q={artist} - {title}&type=release |
MusicBrainz: {artist} | https://musicbrainz.org/search?type=artist&query={artist} |
MusicBrainz: {artist} | https://www.duckduckgo.com/?q=!mbartist {artist} | Using DuckDuckGo Bangs (DuckDuckGo has a feature called Bangs which makes it easy to query other services: see https://duckduckgo.com/bang )


Administration

The contents of Administration

Select Data Source Window
Tracks
Track Groups
Licence Information Window


Select Data Source Window

Select Data Source Window
PlayIt VoiceTrack has its own database for storing track and track group data. If you are a user of PlayIt Live, it is possible to use PlayIt Live's database for tracks and track groups. When PlayIt Live is selected as a data source tracks and track groups are read-only from PlayIt VoiceTrack and cannot be edited, but can be viewed.

PlayIt VoiceTrack database

1. PlayIt VoiceTrack database
Use the PlayIt VoiceTrack database for managing track and track group data. Tracks can be managed from the Manage Tracks window and track groups can be managed from the Manage Track Groups window.
Top

PlayIt Live database

2. PlayIt Live database
Use your PlayIt Live database to track and track group data. You can view tracks and track groups from the Manage Tracks and Manage Track Groups window. It is not possible to edit this data, it must be managed via PlayIt Live.
Top

OK button

3. OK button
Save your changes and close the window.
Top

Cancel button

4. Cancel button
Discard your changes and close the window.


Tracks

Tracks represent audio files that can be imported into PlayIt VoiceTrack. With each track, additional information is stored to assist the user. This information includes:
Type: The type of the track which can be used for track group filtering, e.g. Song or Station ID. Type can be selected when creating a playlist template. By default this is set to 'Inferred' which means the type is determined from data in the tags, artist, title and duration. See Inferred Type rules below.
Artist: The performer of the track, typically a singer or band.
Title: The name of the track.
Out Cue: The style at which the track ends, for example, fade out; or sustain.
Album: The album the track appears on.
Genre: The category that identifies the type of music.
Year: The year the track was released.
Tags: A tag is a keyword or term that helps to describe the track. Tags can be used in track group filters.
Comments: A free-text field allowing you to enter any descriptive text about a track. This can also be useful for describing where and when the track charted.
Sweeper?: Whether the track is a sweeper. A sweeper is a track that can be played over the start of the intro of another song. It is typical dry (no background music) so it does not clash with the track it is playing over.
Cue In: The position in the track where a player should start playing. This is typically where the silence ends at the start of the track and the audible audio begins.
Intro: The position in the track where the vocals begin. This can be used by the on-air presenter / DJ to 'hit the vocals'.
Cue Out: The position in the track where it is considered to be finished. If a track is fading out, this should be shortly before the end of the fade.
Inferred Type rules

:

The following rules are used to determine the track type when 'Inferred' is selected:
If Tags contains one of the track types, that track type is inferred.
Otherwise, if the Artist or Title equals one of the track types, that track type is inferred.
Otherwise, if the Duration is less than 30 seconds, Station ID is inferred.
Otherwise, Song is inferred.

The contents of Tracks

Manage Tracks Window
Edit Track Window
Add New Tracks Wizard Window


Manage Tracks Window

Manage Tracks Window
The Managed Tracks window shows all tracks imported into PlayIt VoiceTrack. Tracks imported into PlayIt VoiceTrack can be used from the Track List on the right hand side of the main window.

Track Group selector

1. Track Group selector
To filter the track list by track group, select the track group from the drop down. The track list will show only tracks that exist in the selected track group. Track groups can be managed from Manage > Track Groups.
Top

Export to CSV

2. Export to CSV
Exports the track list to CSV (including any search or track group filter).
Top

Track search box

3. Track search box
Use the search box to filter the track list. When text is entered into the search box the track list will show only track titles that contain the entered text. To clear the search click the [image].
Top

Track list

4. Track list
The track list shows the Artist, Title, Intro, Duration and Path of all the tracks in the database. Double-click an entry to begin editing a track and launch the Edit Track Window . Changes will not be saved until you click the Apply or OK button.
Top

Delete track button

5. Delete track button
To delete a track click the delete button. Changes will not be saved until you click the Apply or OK button.
To delete all tracks from the list, select the list and press CTRL+A to select all the tracks. Press the Delete key to remove the tracks. A confirmation window will be shown to confirm your changes.
This button is not shown when using PlayIt Live as a data source.
Top

Add New button

6. Add New button
Click the Add New button to begin adding new tracks to the database and launch the Add New Tracks Wizard Window .
Top

Edit button

7. Edit button
Click the Edit button to begin editing the selected track. This will launch the Edit Track Window . You can also bulk edit tracks by selecting multiple tracks with CTRL or SHIFT and clicking the Edit button.
Top

OK button

8. OK button
Click the OK button to save changes and close the Manage Tracks window.
Top

Cancel Button

9. Cancel Button
Click the Cancel button to discard any changes and close the Manage Tracks window.
Top

Apply button

10. Apply button
Click the Apply button to save changes without closing the Manage Tracks window.


Edit Track Window

Edit Track Window
The track editor is used to change the information stored on each track imported into PlayIt VoiceTrack.

File path

1. File path
This displays the location of the audio file on the file system. This cannot be changed once the track has been added.
Top

Track information

2. Track information
This area allows you to change the information stored on the track. Artist, Genre and Tags information will attempt to auto complete if there is similar information on other tracks in order to help keep data consistent.
Top

Cue In controls

3. Cue In controls
The Cue In point is the position in seconds where the track should be started by a player. Use the Set button while listening to the track to set the point to the current position. Use the Test button to listen to the track from the set position.
Top

Intro controls

4. Intro controls
The Intro point is the position in seconds where the vocals start on the track. This is counted down by the players on the main window. Use the Set button while listening to the track to set the point to the current position. Use the Test button to listen to the track from the set position.
Top

Cue Out controls

5. Cue Out controls
The Cue Out point is the position in seconds where the track is considered to have finished. Use the Set button while listening to the track to set the point to the current position. Use the Test button to listen to the track from the set position.
Top

Analyse button

6. Analyse button
Click the Analyse button to automatically detect the Cue In and Cue Out points based on the silence at the start and end of the track. The sensitivity of the analysis can be configured from Settings.
Top

Waveform

The waveform shows the volume of the audio track over time. Overlaid on the waveform are the Cue In (grey), Intro (blue) and Cue Out (pink) points that are set above. Double-click on the waveform to start playing at a different position in the track. Use the Play and Stop button to control playback and the Back and Forward buttons to jump to the start or end of the track. Use the Zoom buttons to zoom in and out of the waveform if you need to set a more precise cue point. You can also zoom in and out with the mouse wheel while hovering over the waveform.
Top

Navigator

Use the navigator to easily move to the previous and next track displayed in the list. Note, before moving between tracks, any changes to the current track will be saved.
Top

Save Track button

9. Save Track button
Click the Save Track to confirm changes to the current track.
Top

Close button

10. Close button
Click the Close button to discard changes to the current track.


Add New Tracks Wizard Window

Add New Tracks Wizard Window
The Add New Tracks Wizard to designed to streamline to process of adding tracks to PlayIt VoiceTrack.

From individual files

1. From individual files
Click this option to select tracks from individual files. When you click Next you will be prompted to select files to add.
Top

From a folder

2. From a folder
Click this option to select tracks from a folder. When you click Next you will be prompted to select a folder to add files from.
Top

Back button

3. Back button
The Back button is enabled once beyond the first step of the wizard. Click the Back button to make changes in previous steps of the wizard.
Top

Next button

4. Next button
Click the Next button to move to the next step in the wizard.
Top

Cancel button

5. Cancel button
Click the Cancel button to exit the wizard.
Top

The contents of Add New Tracks Wizard Window

Additional Options Section
Progress Section
Review Section
Group Section


Additional Options Section

Additional Options Section

Source selection

1. Source selection
The current source that was selected in the previous step, either a folder or the number of files.
Top

Include sub folders

2. Include sub folders
If a folder was selected in the previous step, check this box to include sub folders when scanning for track files.
Top

Analyse silence

3. Analyse silence
Check this box to analyse silence at the start and end of tracks to automatically determine the Cue In and Cue Out points.
Top

Duplicate handling

4. Duplicate handling
The duplicate handling section determines how files with the same file path are handled when processing new tracks. This section is unavailable if there are no tracks currently in the system.
Replace any tracks with the same file path
If a file is found that has the same path as a track in the system, it will be overwritten by the new track file.
Skip any tracks with the same file path
If a file is found that has the same path as a track in the system, it will be ignored and will not change the existing track already added to PlayIt VoiceTrack.
Duplicate any tracks with the same file path
If a file is found that has the same path as a track in the system, it will be added again, resulting in two instances of the same track in the system.


Progress Section

The Progress section shows the progress of the tracks being processed.

Current track file path

1. Current track file path
The current track being processed.
Top

Artist and title

2. Artist and title
The artist and title read from the processed track file. This is read from the embedded tag information within the file. If this information is missing, the artist and track are determined from the filename in the format Artist - Title.ext where ext is the file extension.
Top

Overall progress

3. Overall progress
The overall progress of the adding tracks process. This will also indicate if any files have been skipped as they are not valid audio files.


Review Section

The Review section is designed to allow you to review tracks before they are added to the system.

Track list

1. Track list
This list includes all the tracks that were processed by the wizard.
Top

Track check box

2. Track check box
If a track is checked, it is marked to be added to the system at the end of the wizard. Un-check this box to prevent a track from being added.
Top

Track editor

3. Track editor
See: Edit Track Window


Group Section

The final section of the wizard is the Group section. Here you can add the processed tracks to an existing group, a new group or leave them in the All Tracks group. Click Finish to add the tracks to the system.

Leave in All Tracks group selection

1. Leave in All Tracks group selection
Select this option to prevent the processed tracks from being added to a particular track group. By default, they will appear in the All Tracks group.
Top

Add to existing group selection

2. Add to existing group selection
Select this option to add the processed tracks to an existing track group. Select the track group from the dropdown.
Top

Add to new group selection

3. Add to new group selection
Select this option to add the processed tracks to a new track group. Enter the name of the new group into the text box.
Top

Finish button

4. Finish button
Click the Finish button to complete the track adding process and add the tracks to the system.


Track Groups

As the name suggests, Track Groups are used to group tracks by certain criteria. There are three types of track group:
Listed:
Manually select a list of tracks to add to the group.
Filtered:
Select a set of filters to dynamically select the tracks based on information stored on the track.
Grouped:
Combine multiple track groups into one track group.
Track groups are used on the main interface to filter tracks in the track list.

The contents of Track Groups

Manage Track Groups Window
Choose Track Group Type Window
Edit Listed Track Group Window
Edit Filtered Track Group Window
Edit Grouped Track Group Window


Manage Track Groups Window

Manage Track Groups Window
The Manage Track Groups window lists all the track groups in the system.

Track group list

1. Track group list
Displays the Name, Type, Track Count, and Hidden state of each track group. Double click an entry in the list to begin editing and launch the edit window. Depending on the type, this could be the Edit Listed Track Group Window , Edit Filtered Track Group Window , or Edit Grouped Track Group Window .
Top

Delete button

2. Delete button
Click the Delete button to delete the track from the system.
This button is not shown when using PlayIt Live as a data source.
Top

Hidden check box

3. Hidden check box
Check the Hidden check box to hide the Track Group from the main interface Track Group selector.
Top

Add New button

4. Add New button
Click the Add New button to begin adding a new track group to the system and launch the Choose Track Group Type Window .
This button is not shown when using PlayIt Live as a data source.
Top

OK button

5. OK button
Click the OK button to save changes.
Top

Cancel button

6. Cancel button
Click the Cancel button to discard changes.


Choose Track Group Type Window

Choose Track Group Type Window

Listed Track Group

1. Listed Track Group
Select this option to create a Listed Track Group. Then click OK to launch the Edit Listed Track Group Window .
Top

Filtered Track Group

2. Filtered Track Group
Select this option to create a Filtered Track Group. Then click OK to launch the Edit Filtered Track Group Window .
Top

Grouped Track Group

3. Grouped Track Group
Select this option to create a Grouped Track Group. Then click OK to launch the Edit Grouped Track Group Window .
Top

OK button

4. OK button
Click OK to continue creating a track group of the selected type.
Top

Cancel button

5. Cancel button
Click Cancel to stop creating a new track group.


Edit Listed Track Group Window

Edit Listed Track Group Window

Track Group name

1. Track Group name
The name of the track group.
Top

Track search box

2. Track search box
Enter text into the search box to filter the track list. See: Track search box.
Top

Track list

3. Track list
List of tracks not already in the track group.
Top

Add to track group

4. Add to track group
Click the > button to add the selected track group from the track list to the track group track list.
Top

Track group track list

5. Track group track list
List of tracks in the track group.
Top

Remove from track group

6. Remove from track group
Click the < button to remove the selected track group from the track group track list.
Top

Colour

Tick the Colour box to show a colour for any tracks in this track group when they are shown on the playout log on the main interface. Click in the colour box to change the colour.
Top

Icon

Tick the Icon box to show an icon for any tracks in this track group when they are shown on the playout log on the main interface. Click in the icon box to change the icon, the Select Icon window will be shown:
To add your own icons, see the

Customising the playout log on the main interface with track groups

 section.
Top

Priority

The priority is used to determine which track group is used when displaying a track on the playout log on the main interface that appears in multiple track groups. The track group with the highest priority will be used when displaying the colour or icon.
Top

OK button

10. OK button
Click the OK button to confirm changes to the track group.
Top

Cancel button

11. Cancel button
Click the Cancel button to discard changes to the track group.


Edit Filtered Track Group Window

Edit Filtered Track Group Window
The Filtered Track Group window allows you to create dynamic track groups using filters. The above track group filters tracks by years between 1980 and 1990 (i.e. year greater than or equal to 1980 and year less than 1990) to form the 1980s track group.

Track group name

1. Track group name
The name of the track group
Top

Add filter button

2. Add filter button
Click the Add button to add a new filter condition
Top

Remove filter button

3. Remove filter button
Click the Remove button to remove the filter condition
Top

And / Or selector

4. And / Or selector
To filter tracks by more than one condition, use the And/Or selector to choose how to combine the filters. The And operator selects tracks that match both the first and the second condition. The Or operator selects tracks that match either of the first or the second condition.
Top

Open parentheses

5. Open parentheses
Use parentheses to form complex filters. To the up and down arrows to increase and decrease the number of parentheses.
Top

Field selector

6. Field selector
Use the dropdown to select the field you wish to filter by.
Top

Operation selector

7. Operation selector
Use the dropdown to select the filter operation.
Top

Filter value

8. Filter value
Use the text box to enter the value to filter by.
Top

Close parentheses

9. Close parentheses
Use parentheses to form complex filters. To the up and down arrows to increase and decrease the number of parentheses.
Top

Colour, Icon and Priority

10. Colour, Icon and Priority
See Listed Track Group settings


Edit Grouped Track Group Window

Edit Grouped Track Group Window

Track group name

1. Track group name
The name of the track group.
Top

Invert selection checkbox

2. Invert selection checkbox
If this checkbox is checked the tracks in this group will be the inverse of the selected groups. That is, this track group will include only tracks that do not appear in the selected track groups.
Top

Track group selections

3. Track group selections
List all the track groups in the system. Click a checkbox to include the selected track group in this track group.
Top

Colour, Icon and Priority

4. Colour, Icon and Priority
See Listed Track Group settings
Top

OK button

5. OK button
Click the OK button to confirm changes to this track group.
Top

Cancel button

6. Cancel button
Click the Cancel button to confirm changes to this track group.


Licence Information Window

The licence information window shows your current licence information. Initially, this will show the demo module. Use the link to purchase a licence. To update your licence click the link and continue as per these instructions.
When you have a valid licence this will be displayed on this window. If you have recently purchased a licence and are logged in, click the Refresh Licence link to fetch the latest licence from the server. While you are logged in, the software will periodically check for the latest licence to ensure you are up to date.


About PlayIt VoiceTrack

About PlayIt VoiceTrack

Current Version

1. Current Version
Top

New Version Check

2. New Version Check
When a new version is available you will be notified with a link to download the latest version.
Top

OK button

3. OK button
Click the OK button to close the window.